Package com.creditcall.chipdnamobile

# Interface ISOAPListener

public interface ISOAPListener
This interface should be used to listen during interaction with `SOAPTransactionHistory`. The listener is informed when logins are completed, transaction as retrieved, etc and returns the requested data.

Author:
  Creditcall Ltd

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `retrievedTransaction(SOAPExtendedTransaction transaction, ChipDnaMobileErrorCode errorCode)`
  Invoked when the transaction has been retrieved.
  `void`
  `retrievedTransactions(List<SOAPTransaction> transactions, ChipDnaMobileErrorCode errorCode)`
  Invoked when the list of the transactions has been retrieved.
  `void`
  `retrievedTransactionStatistics(List<SOAPTransactionStatistics> transactionStatistics, ChipDnaMobileErrorCode errorCode)`
  Invoked when the transaction statistics have been retrieved.

- ## Method Details

  - ### retrievedTransactions

    void retrievedTransactions(List<SOAPTransaction> transactions, ChipDnaMobileErrorCode errorCode)
    Invoked when the list of the transactions has been retrieved.
    Parameters:
      `transactions` - A list of `SOAPTransaction`. An array will be null if an error occurred.
      `errorCode` - Error code generated during the request. It will contain error if the SOAP request was unsuccessful or some other error occurred. It will be null otherwise. Error codes are defined in `ChipDnaMobileErrorCode` and `ChipDnaMobileErrorCode`.

  - ### retrievedTransaction

    void retrievedTransaction(SOAPExtendedTransaction transaction, ChipDnaMobileErrorCode errorCode)
    Invoked when the transaction has been retrieved.
    Parameters:
      `transaction` - Transaction returned from the request. It will be null if an error occurred.
      `errorCode` - Error code generated during the request. It will contain error if the SOAP request was unsuccessful or some other error occurred. It will be null otherwise. Error codes are defined in `ChipDnaMobileErrorCode` and `ChipDnaMobileErrorCode`.

  - ### retrievedTransactionStatistics

    void retrievedTransactionStatistics(List<SOAPTransactionStatistics> transactionStatistics, ChipDnaMobileErrorCode errorCode)
    Invoked when the transaction statistics have been retrieved.
    Parameters:
      `transactionStatistics` - A list of `SOAPTransactionStatistics`. An array will be null if an error occurred.
      `errorCode` - Error code generated during the request. It will contain error if the SOAP request was unsuccessful or some other error occurred. It will be null otherwise. Error codes are defined in `ChipDnaMobileErrorCode` and `ChipDnaMobileErrorCode`.